package com.example.smartlab

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.viewModels
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.ui.Modifier
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.example.smartlab.api.RepositoryImpl
import com.example.smartlab.api.RetrofitInstance
import com.example.smartlab.navigation.Navigation
import com.example.smartlab.ui.theme.SmartlabTheme
import com.example.smartlab.viewmodel.ViewModelMain

class MainActivity : ComponentActivity() {
    //Создание провайдера ViewModel
    private val viewModel by viewModels<ViewModelMain>(factoryProducer = {
        object: ViewModelProvider.Factory{
            override fun <T : ViewModel> create(modelClass: Class<T>): T {
                return ViewModelMain(RepositoryImpl(RetrofitInstance.apiJson))
                as T
            }
        }
    })
    //Создание провайдера ViewModel
    /*private val viewModelJson by viewModels<ViewModelMain>(factoryProducer = {
        object: ViewModelProvider.Factory{
            override fun <T : ViewModel> create(modelClass: Class<T>): T {
                return ViewModelMain(RepositoryImpl(RetrofitInstance.apiJson))
                        as T
            }
        }
    })*/
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            SmartlabTheme {
                // A surface container using the 'background' color from the theme
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {
                    //Navigation(viewModel = viewModel, viewModelDif = viewModelJson)
                    Navigation(viewModel = viewModel)
                }
            }
        }
    }
}
