package com.example.smartlab.navigation

import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.smartlab.screens.CodeFromEmail
import com.example.smartlab.screens.CreatePassword
import com.example.smartlab.screens.CreatePatientCard
import com.example.smartlab.screens.LogIn
import com.example.smartlab.screens.SplashScreen
import com.example.smartlab.screens.TestsAsMain
import com.example.smartlab.viewmodel.ViewModelMain

@Composable
fun Navigation(viewModel: ViewModelMain/*, viewModelDif :ViewModelMain*/) {
    val navController = rememberNavController()
    val mail = remember{ mutableStateOf("") }
    NavHost(
        navController = navController,
        startDestination = "splash_screen"
    )

    {
        composable("splash_screen"){
            SplashScreen(navController)
        }
        composable("log_in"){
            LogIn(navController, viewModel, mail)
        }
        composable("code_from_email"){
            CodeFromEmail(navController, viewModel, mail)
        }        
        composable("create_password"){
            CreatePassword(navController)
        }
        composable("create_patient_card"){
            CreatePatientCard(navController)
        }
        composable("tests"){
            TestsAsMain(navController, viewModel)
        }
    }
}