package com.example.smartlab.screens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.text.KeyboardOptions
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.KeyboardArrowLeft
import androidx.compose.material3.Icon
import androidx.compose.material3.IconButton
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.input.KeyboardType
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.smartlab.viewmodel.ViewModelMain

@Composable
fun CodeFromEmail(navController: NavHostController, viewModel: ViewModelMain, mail: MutableState<String>) {

    Column(modifier = Modifier
        .fillMaxSize(1f)
        .background(color = Color.White)
        .padding(start = 20.dp, end=20.dp),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Top){
        Row(modifier = Modifier.fillMaxWidth(1f)
            .padding(top=20.dp)
            ,
            horizontalArrangement = Arrangement.Start){
            IconButton(onClick = { navController.navigate("log_in") },
                modifier = Modifier.background(Color.LightGray).size(40.dp)) {
                Icon(Icons.Filled.KeyboardArrowLeft,
                    contentDescription = "Вернуться назад",
                    modifier = Modifier.size(80.dp),
                    tint = Color.DarkGray)
            }
        }

        Text(text = "Введите код из E-mail", fontSize = 18.sp,
            fontWeight = FontWeight.Bold,
            modifier = Modifier.padding(top=140.dp, bottom=20.dp))

        var num1 = remember{ mutableStateOf("")}
        var num2 = remember{ mutableStateOf("")}
        var num3 = remember{ mutableStateOf("")}
        var num4 = remember{ mutableStateOf("")}

        //реализация отправки кода
        if(num4.value != ""){
            viewModel.SignIn(mail.value, num1.value+num2.value+num3.value+num4.value)
            navController.navigate("create_patient_card")
        }
        Row(modifier = Modifier
            .fillMaxWidth(0.8f)
            .padding(bottom=20.dp)
            ,
            horizontalArrangement = Arrangement.SpaceAround){
            TextField(
                num1.value,
                {num1.value=it},
                keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Number),
                modifier = Modifier
                    .height(50.dp)
                    .width(50.dp)
            )
            TextField(
                num2.value,
                {num2.value=it},
                keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Number),
                modifier = Modifier
                    .height(50.dp)
                    .width(50.dp)
            )
            TextField(
                num3.value,
                {num3.value=it},
                keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Number),
                modifier = Modifier
                    .height(50.dp)
                    .width(50.dp)
            )
            TextField(
                num4.value,
                {num4.value=it},
                keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Number),
                modifier = Modifier
                    .height(50.dp)
                    .width(50.dp)
            )
        }

            Text(text = "Отправить код повторно можно будет черещ 42 секунд",
                fontSize = 16.sp, color = Color.Gray, textAlign = TextAlign.Center,
                modifier = Modifier.fillMaxWidth(0.8f))


    }
}