package com.example.smartlab.screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.CircleShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.smartlab.R

@Composable
fun CreatePassword(navController: NavHostController) {
    Column(modifier = Modifier.fillMaxSize(1f)
        .background(Color.White),
        horizontalAlignment = Alignment.CenterHorizontally) {
        Text(text = "Пропустить", color = Color(0xFF1A6FEE),
            textAlign = TextAlign.End, modifier = Modifier.fillMaxWidth(0.9f)
                .padding(top=40.dp, bottom = 40.dp))
        Text(text = "Создайте пароль", fontSize = 20.sp,
            fontWeight = FontWeight.Bold
        )
        Text(text = "Для защиты ваших персональных данных",
            fontSize = 14.sp, color = Color.Gray)
        Row(modifier = Modifier.padding(top=40.dp, bottom = 40.dp)){
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.filled_ellipse),
                contentDescription = ""
            )            
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.empty_ellipse),
                contentDescription = ""
            )            
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.empty_ellipse),
                contentDescription = ""
            )            
            Image(
                bitmap = ImageBitmap.imageResource(R.drawable.empty_ellipse),
                contentDescription = ""
            )
        }
        Column(modifier = Modifier.fillMaxSize(1f)
            .padding(bottom=80.dp),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.SpaceEvenly

            ) {
            Row(modifier = Modifier.fillMaxWidth(1f)
                .padding(horizontal = 40.dp),
                horizontalArrangement = Arrangement.SpaceAround){
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                   Text(text = "1")
                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                   Text(text = "2")
                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                   Text(text = "3")
                }

            }
            Row(modifier = Modifier.fillMaxWidth(1f)
                .padding(horizontal = 40.dp),
                horizontalArrangement = Arrangement.SpaceAround){
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                   Text(text = "4")

                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )

                ) {
                   Text(text = "5")
                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                   Text(text = "6")
                }
            }
            Row(modifier = Modifier.fillMaxWidth(1f)
                .padding(horizontal = 40.dp),
                horizontalArrangement = Arrangement.SpaceAround){
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                    Text(text = "7")
                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                    Text(text = "8")
                }
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                    Text(text = "9")
                }
            }
            Row(modifier = Modifier.fillMaxWidth(1f)
                .padding(start=144.dp, end=42.dp),
                horizontalArrangement = Arrangement.SpaceAround){
                Button(onClick = { /*TODO*/ },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color(0xFFF5F5F9),
                        contentColor = Color.Black
                    )
                ) {
                    Text(text = "0")
                }
                Button(onClick = { navController.navigate("create_patient_card") },
                    modifier = Modifier.size(70.dp),
                    shape = CircleShape,
                    colors = ButtonDefaults.buttonColors(
                        containerColor = Color.White,
                        contentColor = Color.Black
                    )

                ) {
                    Image(bitmap = ImageBitmap.imageResource(R.drawable.clear),
                        contentDescription = "")
                }
            }
        }
    }
}