package com.example.smartlab.screens

import android.annotation.SuppressLint
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.text.KeyboardOptions
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.input.KeyboardType
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController

@SuppressLint("UnrememberedMutableState")
@Composable
//@Preview
fun CreatePatientCard(navController: NavHostController) {
    var firstname = remember { mutableStateOf("") }
    var midlename = remember { mutableStateOf("") }
    var secondname = remember { mutableStateOf("") }
    var date = remember { mutableStateOf("") }
    var gender = remember { mutableStateOf("") }
    Column(
        modifier = Modifier
            .fillMaxSize(1f)
            .background(color = Color.White)
    ) {
        Row(
            modifier = Modifier
                .fillMaxWidth(1f)
                .padding(start = 15.dp, end = 15.dp, top = 40.dp, bottom = 10.dp),
            horizontalArrangement = Arrangement.SpaceAround
        ) {
            Text(
                text = "Создание карты пациента", textAlign = TextAlign.Start,
                fontSize = 32.sp, modifier = Modifier.fillMaxWidth(0.7f),
                fontWeight = FontWeight.Medium
            )
            Text(
                text = "Пропустить", color = Color(0xFF1A6FEE),
                textAlign = TextAlign.End,fontWeight = FontWeight.Medium,
                modifier = Modifier
                    .fillMaxWidth(1f)
                    .padding(top = 10.dp)
            )
        }
        Column(
            modifier = Modifier
                .fillMaxSize(1f)
                .padding(horizontal = 15.dp),
            horizontalAlignment = Alignment.CenterHorizontally
        ) {
            Text(
                text = "Без карты пациента вы не сможете заказать анализы.", color = Color.Gray,
                textAlign = TextAlign.Start, modifier = Modifier
                    .fillMaxWidth(1f)
                    .padding(bottom = 10.dp)
            )
            Text(
                text = "В картах пациентов будут храниться результаты анализов вас" +
                        " и ваших близких.", color = Color.Gray,
                textAlign = TextAlign.Start, modifier = Modifier
                    .fillMaxWidth(1f)
                    .padding(bottom = 20.dp)
            )

            Column(modifier = Modifier
                .fillMaxSize(1f)
                .padding(start=10.dp, end=10.dp, bottom = 130.dp),
                verticalArrangement = Arrangement.SpaceAround){
                TextField(
                    firstname.value,
                    { firstname.value = it },
                    keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Text),
                    modifier = Modifier.fillMaxWidth(1f),
                    placeholder = {Text("Имя")}
                )

                TextField(
                    midlename.value,
                    { midlename.value = it },
                    keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Text),
                    modifier = Modifier.fillMaxWidth(1f),
                    placeholder = {Text("Отчество")}
                )
                TextField(
                    secondname.value,
                    { secondname.value = it },
                    keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Text),
                    modifier = Modifier.fillMaxWidth(1f),
                    placeholder = {Text("Фамилия")}
                )
                TextField(
                    date.value,
                    { date.value = it },
                    keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Text),
                    modifier = Modifier.fillMaxWidth(1f),
                    placeholder = {Text("Дата рождения")}
                )
                TextField(
                    gender.value,
                    { gender.value = it },
                    keyboardOptions = KeyboardOptions(keyboardType = KeyboardType.Text),
                    modifier = Modifier.fillMaxWidth(1f),
                    placeholder = {Text("Пол")}
                )
                var color = mutableStateOf(Color(0XFFE8EFFF))
                if(firstname.value.isEmpty() || secondname.value.isEmpty()
                    || midlename.value.isEmpty() || date.value.isEmpty()||
                    gender.value.isEmpty()){
                    color.value = Color(0XFFE8EFFF)
                }else{
                    color.value = Color(0xFF1D68FF)
                }
                Button(onClick = { navController.navigate("tests")}, modifier = Modifier
                    .fillMaxWidth(1f).height(60.dp),
                    colors = ButtonDefaults.buttonColors(
                        containerColor = color.value,
                        contentColor = Color(0xFF1D68FF)
                    )
                ) {
                    Text(text = "Создать", color = Color.White)
                }
            }
        }
    }
}